MCP Reference: cloudproductregistry.googleapis.com

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The cloudproductregistry.googleapis.com MCP server has the following MCP endpoint:

  • https://cloudproductregistry.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

The cloudproductregistry.googleapis.com MCP server has the following tools:

MCP Tools
get_product_suite Retrieves details of a specific ProductSuite, which is a high-level grouping of logical products under a common brand (e.g., Google Cloud Platform). This tool should be invoked when you need to fetch information about a specific product suite, using its unique name in the format of productSuites/{product_suite_id}.
list_product_suites Lists all available ProductSuites, which are high-level groupings of logical products under a common brand (e.g., Google Cloud Platform). This tool should be invoked when you need to discover or browse through the product suites available in the registry.
get_logical_product Retrieves details of a specific LogicalProduct, which is a standalone, customer-facing product within a Product Suite. This tool should be invoked when you need to fetch information about a specific logical product, using its unique name in the format of logicalProducts/{logical_product_id}.
list_logical_products Lists LogicalProducts matching the given criteria. LogicalProducts are standalone, customer-facing products within a Product Suite. This tool should be invoked when you need to search for logical products based on specific filters, such as product suite. When filters are not provided, all logical products are returned.
get_logical_product_variant Retrieves details of a specific LogicalProductVariant, which is a specific variant of a LogicalProduct (e.g., Cloud SQL for MySQL is a variant of Cloud SQL Product). This tool should be invoked when you need to fetch information about a specific logical product variant, using its unique name in the format of logicalProducts/{logical_product_id}/variants/{logical_product_variant_id}.
list_logical_product_variants Lists LogicalProductVariants matching the given criteria. LogicalProductVariants are specific variants of a LogicalProduct (e.g., Cloud SQL for MySQL is a variant of Cloud SQL Product). This tool should be invoked when you need to search for logical product variants based on specific filters, such as parent logical product.
lookup_entity_by_name Looks up a specific entity by its name, providing details about it. This tool supports ProductSuite, LogicalProduct, and LogicalProductVariant lookups and should be invoked when you have the name of an entity and need to retrieve its details without knowing its specific type beforehand. Supported names are in the format of productSuites/{product_suite_id}, logicalProducts/{logical_product_id}, and logicalProducts/{logical_product_id}/variants/{logical_product_variant_id}.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      curl --location 'https://cloudproductregistry.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'